<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__dma__impl_8h" kind="file" language="C++">
    <compoundname>cyhal_dma_impl.h</compoundname>
    <includedby local="yes" refid="cyhal__dma__dmac_8c">cyhal_dma_dmac.c</includedby>
    <includedby local="yes" refid="cyhal__dma__dw_8c">cyhal_dma_dw.c</includedby>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__impl__dma_1ga81946da56dd6ba8afd28f6056b1d779a" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_PRIORITY_DEFAULT</name>
        <initializer><ref kindref="member" refid="group__group__hal__impl__dma_1ga30998fd4febd3080e00922f969b08712">CYHAL_DMA_PRIORITY_LOW</ref></initializer>
        <briefdescription>
<para>Default DMA channel priority. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" bodystart="52" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" line="52" />
      </memberdef>
      <memberdef id="group__group__hal__impl__dma_1gaca50872208f80fb4625591afbaf79d70" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_PRIORITY_HIGH</name>
        <initializer>0</initializer>
        <briefdescription>
<para>High DMA channel priority. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" bodystart="54" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" line="54" />
      </memberdef>
      <memberdef id="group__group__hal__impl__dma_1ga0b9bf793bb1892836a901599c26fd698" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_PRIORITY_MEDIUM</name>
        <initializer>1</initializer>
        <briefdescription>
<para>Medium DMA channel priority. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" bodystart="56" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" line="56" />
      </memberdef>
      <memberdef id="group__group__hal__impl__dma_1ga30998fd4febd3080e00922f969b08712" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_PRIORITY_LOW</name>
        <initializer>3</initializer>
        <briefdescription>
<para>Low DMA channel priority. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" bodystart="58" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" line="58" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Implementation details of Cypress Datawire/DMAC DMA. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_M4CPUSS_DMAC)<sp />||<sp />defined(CY_IP_M4CPUSS_DMA)</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="preprocessor">#define<sp />CYHAL_DMA_PRIORITY_DEFAULT<sp /><sp /><sp /><sp />CYHAL_DMA_PRIORITY_LOW</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="preprocessor">#define<sp />CYHAL_DMA_PRIORITY_HIGH<sp /><sp /><sp /><sp /><sp /><sp /><sp />0</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="preprocessor">#define<sp />CYHAL_DMA_PRIORITY_MEDIUM<sp /><sp /><sp /><sp /><sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="preprocessor">#define<sp />CYHAL_DMA_PRIORITY_LOW<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />3</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="preprocessor">#define<sp />_CYHAL_DMA_TRIGGERS_1TO1_MASK<sp />(0x80)</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#define<sp />_CYHAL_DMA_PDL_TRIGGERS_1TO1_MASK<sp />(0x10)</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal">}</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_IP_M4CPUSS_DMAC)<sp />||<sp />defined(CY_IP_M4CPUSS_DMA)<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_impl.h" />
  </compounddef>
</doxygen>